.navbar {
    position: relative;
    z-index: 1000;
}

.navbar-nav > li {
    position: relative;
    font-weight: bold;
}

.navbar-nav > li > a{
    color: #004d49 !important;
}

.mega-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100vw;
    background: #fff;
    padding: 20px 40px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    z-index: 999;
}

.navbar-nav > li:hover .mega-menu {
    display: block;
}

.mega-menu .row {
    display: flex;
    justify-content: space-between;
}

.mega-menu .col {
    flex: 1;
    padding: 10px;
}

.mega-menu strong {
    display: inline-block;
    background: #444;
    color: #fff;
    padding: 5px 10px;
    margin-bottom: 10px;
    border-radius: 5px;
}

.dropdown-item {
    display: flex;
    align-items: center;
    padding: 6px 0;
    color: #000;
    text-decoration: none;
}

.dropdown-item img {
    width: 24px;
    height: 24px;
    margin-right: 10px;
    border-radius: 50%;
}

.dropdown-item:hover {
    background-color: #f5f5f5;
}

nav {
    margin: 0 !important;
    border-radius: 0% !important;
}

.custom-dropdown {
    background: #004d49;
    font-size: larger;
    color: white;
    text-align: center;
    width: 100vw;
    position: absolute;
    top: 100%;
    left: -0.07em !important;
    z-index: 998;
}

.custom-dropdown .container{
    padding: 20px !important;
}

.animate-dropdown {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 1.2s ease-in, opacity 0.4s ease-out;
    pointer-events: none;
}

.animate-dropdown.active {
    max-height: 1000px;
    opacity: 1;
    pointer-events: auto;
}

.custom-dropdown strong {
    display: block;
    font-size: 2rem;
    color: #fff;
    margin-bottom: 15px;
    background-color: #004d49;
    padding: 8px 15px;
    border-radius: 8px;
    border-bottom: 2px solid whitesmoke; /* İşte alt çizgi */
    padding-bottom: 10px; /* Alt çizgi ile içerik arasında biraz boşluk */
}

.custom-dropdown .dropdown-list {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: left !important;
}

.custom-dropdown .dropdown-list li {
    margin: 6px 0;
    display: flex;
}

.custom-dropdown .m-auto{
    margin: auto;
}

.custom-dropdown .m-auto > img{
    border-radius: 5px;
    max-height: 70% !important;
    margin: 5px;
}

.custom-dropdown .m-auto .product-dropdown-preview{
    background-color: whitesmoke;
}

.custom-dropdown .dropdown-list li > a {
    font-size: smaller;
}

.custom-dropdown .dropdown-list li > img {
    max-width: 15% !important;
    border-radius: 5px;
}

.custom-dropdown .dropdown-item {
    color: #f8f8f8;
    font-weight: 500;
    font-size: medium;
    display: inline-block; /* Bunu aşağıdaki flex için değiştireceğiz img varsa */
    text-decoration: none;
    padding: 6px 12px;
    border-radius: 6px;
    transition: background-color 0.3s, color 0.3s;
}

.custom-dropdown .dropdown-item:hover {
    background-color: #00665f;
    color: #ffffff;
}

.navbar-header {
    display: grid;
}


@media (max-width: 768px) {
    .navbar{
        border: unset;
    }
    .custom-dropdown {
        position: static;
        width: 100%;
        max-height: 0;
        overflow: hidden;
        opacity: 0;
        transition: max-height 0.5s ease, opacity 0.4s ease;
        pointer-events: none;
        padding: 0 15px;
    }

    .custom-dropdown.open {
        max-height: 2000px;
        opacity: 1;
        pointer-events: auto;
        padding: 20px 15px;
    }

    .navbar-nav>li {
        width: 100%;
        font-weight: bold;
    }

    .navbar-nav>li>a {
        padding: 12px 15px;
        display: block;
        color: whitesmoke !important;
    }

    .custom-dropdown strong {
        font-size: 1.2rem;
        margin-top: 15px;
    }

    .custom-dropdown .dropdown-item {
        padding: 6px 0;
        font-size: 1rem;
    }

    .navbar-toggle{
        top: 23px !important;
        left: unset !important;
        right: 0 !important;
    }
}


.banner-video video {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
}

@media (max-width: 992px) {
    .banner-video video {
        height: 75vh;
    }

    .navbar-nav>li>a {
        padding: 12px 15px;
        display: block;
        color: whitesmoke !important;
    }
}

@media (max-width: 768px) {
    .banner-video video {
        height: 60vh;
    }
}

@media (max-width: 576px) {
    .banner-video video {
        height: 50vh;
    }
}

.navbar-logo {
    max-height: 48px;
    height: auto;
    width: auto;
    transition: all 0.3s ease-in-out;
}

@media (max-width: 768px) {
    .navbar-logo {
        max-height: 36px;
    }
}

@media (max-width: 576px) {
    .navbar-logo {
        max-height: 28px;
    }
}

.navbar-header {
    padding: 8px 8px;
}

.navbar-brand{
    display: inline-table;
}


#splitBoxLeft {
    display: flex;
    flex-direction: column;
}

#splitBoxRight {
    display: flex;
    flex-direction: column;
}

.split-half {
    flex: 1 1 50%;
    overflow: hidden;
}

.object-fit-contain {
    object-fit: contain;
}

#image-container {
    height: auto; /* JS ile ayarlanacak */
}

.object-fit-contain {
    object-fit: contain;
}